<?php 
add_action('after_setup_theme', 'anp_conf_theme');
	function anp_conf_theme() {
		global $content_width;
		/**** ancho mínimo ****/
		if ( ! isset( $content_width ) ) 
			$content_width = 650;
		
		/**** estilos para editor texto ****/	
		add_editor_style();
		/**** imágenes de fondo ****/
		$args = array(
			'default-color' => 'ffffff',
			'default-image' => get_template_directory_uri() . '/images/background.png',
		);
		add_theme_support('custom-background', $args);	
		/**** activamos thumbnails ****/
		add_theme_support( 'post-thumbnails' );
		/**** activamos el feed ****/
		add_theme_support('automatic-feed-links'); 	
		/**** longitud personalizada de excerpt ****/	
		add_filter( 'excerpt_length', 'anp_creative_custom_excerpt_length');
		/**** texto personalizado de excerpt ****/
		add_filter('excerpt_more', 'anp_creative_new_excerpt_more');	
		/**** registramos los sidebar ****/
		add_action('widgets_init', 'anp_creative_reg_sideb');
		/**** registramos los menus ****/
		add_action('init', 'anp_creative_reg_nav');
		/**** añadimos hoja estilos explor ****/
		add_action('wp_head', 'anp_creative_estilos_explor');
		/**** añadimos hoja estilos shortcode ****/
		add_action('wp_head', 'anp_creative_estilos_shortcode');
		/**** añadimos imagen en cabecera ****/
		$args_header = array(
			'flex-height'            => false,
			'height'                 => 96,
			'flex-width'             => false,
			'width'                  => 1300,
			'default-image'          => get_template_directory_uri() . '/images/back_header.png',
			'random-default'         => false,
			'default-text-color'     => '',
			'header-text'            => false,
			'uploads'                => true,
			'wp-head-callback'       => '',
			'admin-head-callback'    => '',
			'admin-preview-callback' => '',
		);
		add_theme_support( 'custom-header', $args_header );
		
	}

/**** estilos para imagen en cabecera ****/
function anp_creative_custom_header() { ?>
	<style type="text/css">
	
	header#cab {
		background: url('<?php header_image(); ?>') no-repeat;
		min-height: <?php echo get_custom_header()->height; ?>px;
		width: <?php echo get_custom_header()->width; ?>px;
	
	}
	</style>
	<?php	

}
add_action('wp_head', 'anp_creative_custom_header');
	
/**
 *
 * Sidebar
 *
 */	
function anp_creative_reg_sideb() {  
	
    register_sidebar(array( #registramos una zona de widgets nueva
		'name' => 'sidebar', #le indicamos el nombre
        'before_widget' => '<div id="%1$s" class="widget_sid %2$s">', #indicamos el html que aparecerá justo antes de poner los widgets y justo después.
        'after_widget' => '</div>',
        'before_title' => '<h3>', #le indicamos el html que aparece justo antes de escribir el título del widget y justo despues.
        'after_title' => '</h3>',
    ));
    register_sidebar(array( #registramos una zona de widgets nueva
    	'name' => 'footer1', #le indicamos el nombre
        'before_widget' => '<div  id="%1$s" class="widget_pie %2$s">', #indicamos el html que aparecerá justo antes de poner los widgets y justo después.
        'after_widget' => '</div>',
        'before_title' => '<h3>', #le indicamos el html que aparece justo antes de escribir el título del widget y justo despues.
        'after_title' => '</h3>',
    )); 
    register_sidebar(array( #registramos una zona de widgets nueva
    	'name' => 'footer2', #le indicamos el nombre
        'before_widget' => '<div id="%1$s" class="widget_pie %2$s">', #indicamos el html que aparecerá justo antes de poner los widgets y justo después.
        'after_widget' => '</div>',
        'before_title' => '<h3>', #le indicamos el html que aparece justo antes de escribir el título del widget y justo despues.
        'after_title' => '</h3>',
    ));      
 }
 /**
  *
  * menu
  *
  */	  
function anp_creative_reg_nav() {  
 	
  	register_nav_menus(
 		array(
 		  'menu_header_1' => 'menu1',
 	)); 
 }	
/**
 *
 * Custom excerpt
 *
 */	
function anp_creative_custom_excerpt_length( $length ) {  
 	return 30;
 }
 /**
  *
  * texto excerpt
  *
  */	 
 function anp_creative_new_excerpt_more($more) { 
         global $post;
  	return '   <a href="'. get_permalink($post->ID) . '">' . __('Read more', 'anp_creative').'</a>';
  }
 

/**
 *
 * paginado
 *
 */	
function anp_creative_paginado() { 
     global $wp_query, $wp_rewrite;
     $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;
  
     $pagination = array(
         'base' => @add_query_arg('page','%#%'),
         'format' => '',
         'total' => $wp_query->max_num_pages,
         'current' => $current,
         'show_all' => true,
         'type' => 'list',
         'next_text' => '&raquo;',
         'prev_text' => '&laquo;'
         );
  
     if( $wp_rewrite->using_permalinks() )
         $pagination['base'] = user_trailingslashit( trailingslashit( remove_query_arg( 's', get_pagenum_link( 1 ) ) ) . 'page/%#%/', 'paged' );
  
     if( !empty($wp_query->query_vars['s']) )
         $pagination['add_args'] = array( 's' => get_query_var( 's' ) );
  
     echo paginate_links( $pagination );
 }
 
/**
 *
 * multiidiomas
 *
 */	 
function anp_creative_idiomas(){ 
     load_theme_textdomain('anp_creative', get_template_directory() . '/languages');
        
 }
 add_action('after_setup_theme', 'anp_creative_idiomas');
 
 
 /**
  *
  * css ie
  *
  */
 
function anp_creative_estilos_explor() {  
     wp_register_style( 'ie8', get_template_directory_uri() . '/style-ie.css', true );
     $GLOBALS['wp_styles']->add_data( 'ie8', 'conditional', 'lte IE 8' );   
     wp_enqueue_style( 'ie8' );  
 }
  

/**
 *
 * script jquery
 *
 */
  

function anp_creative_mis_scripts() {  
    wp_deregister_script( 'anp_instpress_jquery' );
    wp_register_script( 'anp_instpress_jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js');
    wp_enqueue_script( 'anp_instpress_jquery' );
    
     /**** cargo efecto en menús  ****/
    wp_register_script( 'anp_instpress_menuh', get_template_directory_uri() . '/js/menuh.js');
    wp_enqueue_script( 'anp_instpress_menuh' );
    
    /**** cargo arrows menus  ****/
    wp_register_script( 'anp_instpress_arrows', get_template_directory_uri() . '/js/arrows_menu.js');
    wp_enqueue_script( 'anp_instpress_arrows' );
    
    /**** cargo plugin para floats  ****/
    wp_register_script( 'anp_instpress_floats', get_template_directory_uri() . '/js/jquery.wookmark.js');
    wp_enqueue_script( 'anp_instpress_floats' );

}    
 
add_action('wp_enqueue_scripts', 'anp_creative_mis_scripts');

/**
 *
 * opciones 
 *
 */
require_once ( get_template_directory() . '/theme-options.php' );



 ?>