<?php

add_action( 'admin_init', 'anp_creative_theme_options_init' );
add_action( 'admin_menu', 'anp_creative_theme_options_add_page' );

/**
 * Init plugin options to white list our options
 */
function anp_creative_theme_options_init(){
	register_setting( 'anp_creative_sample_options', 'anp_creative_sample_theme_options', 'anp_creative_theme_options_validate' );
}

/**
 * Load up the menu page
 */
function anp_creative_theme_options_add_page() {
	add_theme_page( __( 'Options Creative', 'anp_creative' ), __( ' Options Creative', 'anp_creative' ), 'edit_theme_options', 'theme_options', 'anp_creative_theme_options_do_page' );
}
/**
 * Create arrays for our select and radio options
 */
$select_options = array(
	'0' => array(
		'value' =>	'0',
		'label' => __( 'Zero', 'anp_creative' )
	),
	'1' => array(
		'value' =>	'1',
		'label' => __( 'One', 'anp_creative' )
	),
	'2' => array(
		'value' => '2',
		'label' => __( 'Two', 'anp_creative' )
	),
	'3' => array(
		'value' => '3',
		'label' => __( 'Three', 'anp_creative' )
	),
	'4' => array(
		'value' => '4',
		'label' => __( 'Four', 'anp_creative' )
	),
	'5' => array(
		'value' => '5',
		'label' => __( 'Five', 'anp_creative' )
	)
);

/**
 * Create the options page
 */
function anp_creative_theme_options_do_page() {
	global $select_options;

	if ( ! isset( $_REQUEST['settings-updated'] ) )
		$_REQUEST['settings-updated'] = false;

	?>
	<div class="wrap">
		<?php screen_icon(); echo "<h2>" . wp_get_theme() . __( ' Options', 'anp_creative' ) . "</h2>"; ?>

		<?php if ( false !== $_REQUEST['settings-updated'] ) : ?>
		<div class="updated fade"><p><strong><?php _e( 'Saved Settings', 'anp_creative' ); ?></strong></p></div>
		<?php endif; ?>

		<form method="post" action="options.php">
			<?php settings_fields( 'anp_creative_sample_options' ); ?>
			<?php $options = get_option( 'anp_creative_sample_theme_options' ); ?>

			<table class="form-table">


				<?php
				/**
				 * A sample text input option
				 */
				?>
				<tr valign="top"><th scope="row"><?php _e( 'Facebook User', 'anp_creative' ); ?></th>
					<td>
						<input id="anp_creative_sample_theme_options[anp_creative_facebook]" class="regular-text" type="text" name="anp_creative_sample_theme_options[anp_creative_facebook]" value="<?php echo esc_url( $options['anp_creative_facebook'] ); ?>" />
						<label class="description" for="anp_creative_sample_theme_options[anp_creative_facebook]"><?php _e( 'Exam.- http://www.facebook.com/user', 'anp_creative' ); ?></label>
					</td>
				</tr>
				<tr valign="top"><th scope="row"><?php _e( 'Twitter User', 'anp_creative' ); ?></th>
					<td>
						<input id="anp_creative_sample_theme_options[anp_creative_twitter]" class="regular-text" type="text" name="anp_creative_sample_theme_options[anp_creative_twitter]" value="<?php echo esc_url( $options['anp_creative_twitter'] ); ?>" />
						<label class="description" for="anp_creative_sample_theme_options[anp_creative_twitter]"><?php _e( 'Exam.- http://www.twitter.com/user', 'anp_creative' ); ?></label>
					</td>
				</tr>
				<tr valign="top"><th scope="row"><?php _e( 'Feedburner o RSS', 'anp_creative' ); ?></th>
					<td>
						<input id="anp_creative_sample_theme_options[anp_creative_rss]" class="regular-text" type="text" name="anp_creative_sample_theme_options[anp_creative_rss]" value="<?php echo esc_url( $options['anp_creative_rss'] ); ?>" />
						<label class="description" for="anp_creative_sample_theme_options[anp_creative_rss]"><?php _e( 'Exam.- http://feeds.feedburner.com/user', 'anp_creative' ); ?></label>
					</td>
				</tr>
				
				<?php
				/**
				 * A sample select input option
				 */
				?>
				<tr valign="top"><th scope="row"><?php _e( 'Post number displayed on the index of type 1', 'anp_creative' ); ?></th>
					<td>
						<select name="anp_creative_sample_theme_options[selectinput]">
							<?php
								$selected = $options['selectinput'];
								$p = '';
								$r = '';

								foreach ( $select_options as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
						<label class="description" for="anp_creative_sample_theme_options[selectinput]"><?php _e( 'Post type 1', 'anp_creative' ); ?></label>
					</td>
				</tr>
				<tr valign="top"><th scope="row"><?php _e( 'Show author credits', 'anp_creative' ); ?></th>
					<td>
						<input id="anp_creative_sample_theme_options[option1]" name="anp_creative_sample_theme_options[option1]" type="checkbox" value="1" <?php checked( '1', $options['option1'] ); ?> />
						<label class="description" for="anp_creative_sample_theme_options[option1]"><?php _e( 'Displays a link in the footer', 'anp_creative' ); ?></label>
					</td>
				</tr>
				
			</table>

			<p class="submit">
				<input type="submit" class="button-primary" value="<?php _e( 'Save Settings', 'anp_creative' ); ?>" />
			</p>
			
		</form>
		<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
			<input type="hidden" name="cmd" value="_s-xclick">
			<input type="hidden" name="hosted_button_id" value="Y5TG8EW2DJRF6">
			<p><?php _e('If you like this Wordpress Theme, please consider donating a buck or two by clicking the button below, thanks', 'anp_creative'); ?></p>
			<input type="image" src="https://www.paypalobjects.com/en_US/GB/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal The safer, easier way to pay online.">
			<img alt="" border="0" src="https://www.paypalobjects.com/es_ES/i/scr/pixel.gif" width="1" height="1">
		</form>
	</div>
	<?php
}

/**
 * Sanitize and validate input. Accepts an array, return a sanitized array.
 */
function anp_creative_theme_options_validate( $input ) {
	global $select_options, $radio_options;
	// Our checkbox value is either 0 or 1
	if ( ! isset( $input['option1'] ) )
		$input['option1'] = null;
	$input['option1'] = ( $input['option1'] == 1 ? 1 : 0 );
	
	// Our select option must actually be in our array of select options
	if ( ! array_key_exists( $input['selectinput'], $select_options ) )
		$input['selectinput'] = null;

	// Say our text option must be safe text with no HTML tags
	$input['anp_creative_facebook'] = wp_filter_nohtml_kses( $input['anp_creative_facebook'] );
	$input['anp_creative_twitter'] = wp_filter_nohtml_kses( $input['anp_creative_twitter'] );
	$input['anp_creative_rss'] = wp_filter_nohtml_kses( $input['anp_creative_rss'] );	



	return $input;
}

// adapted from http://planetozh.com/blog/2009/05/handling-plugins-options-in-wordpress-28-with-register_setting/